Автор Тема: GL драйвер под Radeon HD 4290  (Прочитано 5291 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн snowman-fedya

  • Активист
  • ****
  • Автор темы
  • Сообщений: 333
GL драйвер под Radeon HD 4290
« : Август 18, 2013, 19:25:50 »
Устанавливал предложенное через "Драйвера устройств".

Runtu GNOME 12.04 - 201308.

inxi:
Graphics:  Card: Advanced Micro Devices [AMD] nee ATI RS880 [Radeon HD 4290] bus-ID: 01:05.0
           X.Org: 1.13.0 drivers: ati,radeon FAILED: fbdev,fglrx,vesa Resolution: 1280x1024@77.0hz

и соответственно, никакого 3д.

ну вот ещё Xorg.o.log (что вроде касается драйвера):

[    15.377] (II) LoadModule: "fglrx"
[    15.377] (II) Loading /usr/lib/i386-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so
[    15.390] (EE) Failed to load /usr/lib/i386-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so: /usr/lib/i386-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so: undefined symbol: noXFree86DRIExtension
[    15.390] (II) UnloadModule: "fglrx"
[    15.390] (II) Unloading fglrx
[    15.390] (EE) Failed to load module "fglrx" (loader failed, 7)


Кто что посоветует?
« Последнее редактирование: Август 18, 2013, 19:40:07 от snowman-fedya »

Оффлайн gvitaly

  • Местный
  • *****
  • Сообщений: 516
Re: GL драйвер под Radeon HD 4290
« Ответ #1 : Август 18, 2013, 20:01:33 »
Можно попробовать установить через синаптик, предварительно заменив ядро на 3.2.

Оффлайн snowman-fedya

  • Активист
  • ****
  • Автор темы
  • Сообщений: 333
Re: GL драйвер под Radeon HD 4290
« Ответ #2 : Август 18, 2013, 20:17:22 »
а подробнее?

то есть будет работать только с 3.2, а с 3.5 -- нет?

пробую установить с сайта АМД.

"DKMS part of installation failed.  Please refer to /usr/share/ati/fglrx-install.log for details"

cd /var/lib/dkms/fglrx/8.92/build; sh make.sh --nohints --uname_r=3.5.0-37-generic --norootcheck....(bad exit status: 1)
[Error] Kernel Module : Failed to build fglrx-8.92 with DKMS
[Error] Kernel Module : Removing fglrx-8.92 from DKMS

увы. Или есть какая версия, которую таки можно поставить?

fglrx синаптиком пробовал ставить, реакции 0: не запускается модуль
« Последнее редактирование: Август 18, 2013, 20:53:51 от snowman-fedya »

Оффлайн gvitaly

  • Местный
  • *****
  • Сообщений: 516
Re: GL драйвер под Radeon HD 4290
« Ответ #3 : Август 19, 2013, 10:52:35 »
У меня ситуация почти такая же. Ни с сайта AMD, ни с помощью "Драйвера устройств" не устанавливается.
А нормально устанавливается только с ядром 3.2 (с 3.8 через раз). Там даже видно, что зависимость тянется для 3.2. Поэтому пришлось удалить 3.5.
Radeon HD 6310M.
Спросите у ivm ®, у него всегда получается нормально установить драйверы. Он скорее всего лучше поможет.

Оффлайн ivm ®

  • Местный
  • *****
  • Сообщений: 934
  • ivm@jabber.at
    • Matuntu
Re: GL драйвер под Radeon HD 4290
« Ответ #4 : Август 19, 2013, 11:47:50 »
Я уже писал про установку драйвера в Matuntu.
PS. ищите и обрЯщите! (©0-2013 Господь Бог)
« Последнее редактирование: Август 19, 2013, 14:00:52 от ivm ® »
© ivm 1991 - настоящее время. All Rights Reserved.
OS Matuntu-Best/Matuntu-Trusty/Matuntu-TT64-M16

Оффлайн butjapka

  • Местный
  • *****
  • Сообщений: 1132
  • Компьютер думает так, как думает его хозяин.
Re: GL драйвер под Radeon HD 4290
« Ответ #5 : Август 19, 2013, 13:45:43 »
PS. ищите и обрЯщите! (©0-2013 Господь Бог)
толцыте, и отверзется

Оффлайн snowman-fedya

  • Активист
  • ****
  • Автор темы
  • Сообщений: 333
Re: GL драйвер под Radeon HD 4290
« Ответ #6 : Август 19, 2013, 22:33:41 »
Ну, сказано там "Были жалобы, что в у кого-то ставятся, но не работают видеодрайверы ATI. В Matuntu из четырех предложенных РАБОТАЕТ только один проприетарный."

а как установить, ни слова. В списке предлагаемых драйверов такого как на картинке, нету.

Оффлайн ivm ®

  • Местный
  • *****
  • Сообщений: 934
  • ivm@jabber.at
    • Matuntu
Re: GL драйвер под Radeon HD 4290
« Ответ #7 : Август 20, 2013, 11:36:53 »
Ну, сказано там "Были жалобы, что в у кого-то ставятся, но не работают видеодрайверы ATI. В Matuntu из четырех предложенных РАБОТАЕТ только один проприетарный."
а как установить, ни слова. В списке предлагаемых драйверов такого как на картинке, нету.
Если повнимательнее посмотреть пост, то заметите, что приведена версия используемого ядра. Возможно этот драйвер есть только для этого ядра. А как установить видеодрайвер через Параметры системы->Драйверы устройств, знают даже новички в Linux (всё интуитивно понятно).
© ivm 1991 - настоящее время. All Rights Reserved.
OS Matuntu-Best/Matuntu-Trusty/Matuntu-TT64-M16

Оффлайн snowman-fedya

  • Активист
  • ****
  • Автор темы
  • Сообщений: 333
Re: GL драйвер под Radeon HD 4290
« Ответ #8 : Август 20, 2013, 19:34:55 »
Ну, сказано там "Были жалобы, что в у кого-то ставятся, но не работают видеодрайверы ATI. В Matuntu из четырех предложенных РАБОТАЕТ только один проприетарный."
а как установить, ни слова. В списке предлагаемых драйверов такого как на картинке, нету.
Если повнимательнее посмотреть пост, то заметите, что приведена версия используемого ядра. Возможно этот драйвер есть только для этого ядра. А как установить видеодрайвер через Параметры системы->Драйверы устройств, знают даже новички в Linux (всё интуитивно понятно).
Разумеется. И если у них, у новичков, всё получается, они не задают тут вопросов, нес па?

А если повнимательнее посмотреть первоначальный пост, то там говорится, что через "драйверы устройств" установить драйвер не удалось.

Но ладно. Заработал free драйвер, мне бОльшего и не надо. Тем более не хочется ради этого снижать версию Хов. Непонятно, конечно, почему сначала он не работал и почему вдруг заработал -- но в линуксе много загадочного...

Оффлайн gvitaly

  • Местный
  • *****
  • Сообщений: 516
Re: GL драйвер под Radeon HD 4290
« Ответ #9 : Август 20, 2013, 20:21:26 »
snowman-fedya, могу отправить небольшую инструкцию с картинками, как я делал. Может и у вас так получится.

Оффлайн snowman-fedya

  • Активист
  • ****
  • Автор темы
  • Сообщений: 333
Re: GL драйвер под Radeon HD 4290
« Ответ #10 : Август 20, 2013, 21:02:40 »
ну давайте попробуем, спасибо :) хотя если вы опишете подробно без картинок, я пойму, не бойтесь...

Оффлайн gvitaly

  • Местный
  • *****
  • Сообщений: 516
Re: GL драйвер под Radeon HD 4290
« Ответ #11 : Август 20, 2013, 22:00:27 »
1) Устанавливаю самую новую версию ядра 3.2

2) Загружаюсь с него и удаляю ядро 3.5
3) Ищу в синаптике AMD и устанавливаю fglrx и fglrx-amdcccle (можно попробовать версии update и experimental, но я не стал их трогать)

Вместе с ними должен подтянуться linux-headers-3.2...
4) Перезагружаюсь.

Я так понял, что все дело в linux-headers.
Может нужно было просто установить linux-headers версии 3.5, но я этого не пробовал, потому что у меня есть еще кое-какие проблемы с этим ядром.

Оффлайн snowman-fedya

  • Активист
  • ****
  • Автор темы
  • Сообщений: 333
Re: GL драйвер под Radeon HD 4290
« Ответ #12 : Август 21, 2013, 00:58:07 »
Дело в том, что я это пробовал. Ядро 3.2 у меня стоит изначально, и обновляется периодически, просто в грубе по умолчанию 3.5.

Headers-ы стоят и того ядра, и другого.

Загружался я с 3.2 и в синаптике ставил fglrx и fglrx-amdcccle. При установке выбивало ошибку
"DKMS part of installation failed.  Please refer to /usr/share/ati/fglrx-install.log for details" (как я уже описывал выше, только с 3.2 вместо 3.5.

Если грузиться с ядром 3.5, всё аналогично, тоже пробовал.

Оффлайн butjapka

  • Местный
  • *****
  • Сообщений: 1132
  • Компьютер думает так, как думает его хозяин.
Re: GL драйвер под Radeon HD 4290
« Ответ #13 : Январь 04, 2014, 14:18:50 »
сорри. я об этом где-то на форуме уже писал, и, собственно, уже не надеюсь найти что-то приемлемое

Graphics:  Card: Advanced Micro Devices [AMD/ATI] RS880 [Radeon HD 4290]
           X.Org: 1.13.0 drivers: ati,radeon (unloaded: fbdev,vesa) Resolution: 1280x1024@60.0hz
           GLX Renderer: Gallium 0.4 on AMD RS880 GLX Version: 2.1 Mesa 9.0.3
А этот драйвер не подходит?

Оффлайн snowman-fedya

  • Активист
  • ****
  • Автор темы
  • Сообщений: 333
Re: GL драйвер под Radeon HD 4290
« Ответ #14 : Январь 04, 2014, 16:09:50 »
там Kernel version up to 3.4

а у меня 3.5.0-44

можно, конечно, сползти на более старое ядро, попробовать...